Index: modsecurity-apache-2.6.6/apache2/msc_reqbody.c
===================================================================
--- modsecurity-apache-2.6.6.orig/apache2/msc_reqbody.c	2012-06-14 13:39:00.000000000 +0000
+++ modsecurity-apache-2.6.6/apache2/msc_reqbody.c	2013-05-29 09:44:28.886388876 +0000
@@ -170,6 +170,7 @@
 
     /* Would storing this chunk mean going over the limit? */
     if ((msr->msc_reqbody_spilltodisk)
+        && (msr->txcfg->reqbody_buffering != REQUEST_BODY_FORCEBUF_ON)
         && (msr->msc_reqbody_length + length > (apr_size_t)msr->txcfg->reqbody_inmemory_limit))
     {
         msc_data_chunk **chunks;
